log says "ata1 is slow to respond, please be patient"

Bug #64587 reported by bonsiware on 2006-10-07
52
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
linux-source-2.6.20 (Baltix)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Low
Unassigned

Bug Description

I have installed edgy beta on my laptop and I have a strange problem:

sometimes (several times every day) my system become irresponsive, I have to wait about 30 seconds and the system become responsive again...

looking at the logs I found the cause of this irresponsiveness.

the following logs are about two system locks I have just experienced, one at 11:15 and one at 11:21...

kernel log:
Oct 7 11:15:22 ubonsi kernel: [17180057.104000] ata1 is slow to respond, please be patient
Oct 7 11:15:47 ubonsi kernel: [17180082.080000] ata1 failed to respond (30 secs)
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] ata1: command 0xa0 timeout, stat 0xd0 host_stat 0x0
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] ata1: translated ATA stat/err 0xd0/00 to SCSI SK/ASC/ASCQ 0xb/47/00
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] sr 0:0:1:0: ioctl_internal_command return code = 8000002
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] : Current [descriptor]: sense key: Aborted Command
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] Additional sense: Scsi parity error
Oct 7 11:21:07 ubonsi kernel: [17180402.448000] ata1 is slow to respond, please be patient
Oct 7 11:21:32 ubonsi kernel: [17180427.424000] ata1 failed to respond (30 secs)
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] ata1: command 0xa0 timeout, stat 0xd0 host_stat 0x60
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] ata1: translated ATA stat/err 0xd0/00 to SCSI SK/ASC/ASCQ 0xb/47/00
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] sr0: CDROM (ioctl) error, command: <6>Read TOC/PMA/ATIP 43 00 00 00 00 00 00 00 0c 40
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] sr: Current [descriptor]: sense key: Aborted Command
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] Additional sense: Scsi parity error

messages log:
Oct 7 11:15:22 ubonsi kernel: [17180057.104000] ata1 is slow to respond, please be patient
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] sr 0:0:1:0: ioctl_internal_command return code = 8000002
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] : Current [descriptor]: sense key: Aborted Command
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] Additional sense: Scsi parity error
Oct 7 11:21:07 ubonsi kernel: [17180402.448000] ata1 is slow to respond, please be patient
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] sr: Current [descriptor]: sense key: Aborted Command
Oct 7
11:21:32 ubonsi kernel: [17180427.436000] Additional sense: Scsi parity error

syslog:
Oct 7 11:15:22 ubonsi kernel: [17180057.104000] ata1 is slow to respond, please be patient
Oct 7 11:15:47 ubonsi kernel: [17180082.080000] ata1 failed to respond (30 secs)
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] ata1: command 0xa0 timeout, stat 0xd0 host_stat 0x0
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] ata1: translated ATA stat/err 0xd0/00 to SCSI SK/ASC/ASCQ 0xb/47/00
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] sr 0:0:1:0: ioctl_internal_command return code = 8000002
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] : Current [descriptor]: sense key: Aborted Command
Oct 7 11:15:47 ubonsi kernel: [17180082.092000] Additional sense: Scsi parity error
Oct 7 11:17:01 ubonsi /USR/SBIN/CRON[7067]: (root) CMD ( run-parts --report /etc/cron.hourly)
Oct 7 11:21:07 ubonsi kernel: [17180402.448000] ata1 is slow to respond, please be patient
Oct 7 11:21:32 ubonsi kernel: [17180427.424000] ata1 failed to respond (30 secs)
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] ata1: command 0xa0 timeout, stat 0xd0 host_stat 0x60
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] ata1: translated ATA stat/err 0xd0/00 to SCSI SK/ASC/ASCQ 0xb/47/00
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] sr0: CDROM (ioctl) error, command: <6>Read TOC/PMA/ATIP 43 00 00 00 00 00 00 00 0c 40
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] sr: Current [descriptor]: sense key: Aborted Command
Oct 7 11:21:32 ubonsi kernel: [17180427.436000] Additional sense: Scsi parity error

my laptop is a Acer Aspire 9411AWSMi - Intel Core Duo Processor T2050 - Sata Hard Disk - 1 GB DDR2

I can confirm this, it is the same for me on my Acer Aspire 9412AWSMI.
The sata drive always showed this timeouts on Dapper 2.6.15-xxx
and does not work with a backported 2.6.17-2.6.17-10.33-generic, too.

Here is the lspci output:
0000:00:00.0 Host bridge: Intel Corporation Mobile Memory Controller Hub (rev 03)
0000:00:01.0 PCI bridge: Intel Corporation Mobile PCI Express Graphics Port (rev 03)
0000:00:1b.0 0403: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
0000:00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
0000:00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
0000:00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
0000:00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 02)
0000:00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 02)
0000:00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 02)
0000:00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 02)
0000:00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 02)
0000:00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
0000:00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
0000:00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
0000:00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA Storage Controllers cc=IDE (rev 02)
0000:00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
0000:01:00.0 VGA compatible controller: nVidia Corporation: Unknown device 01d7 (rev a1)
0000:02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.: Unknown device 8168 (rev 01)
0000:05:00.0 Network controller: Intel Corporation: Unknown device 4222 (rev 02)
0000:0a:06.0 CardBus bridge: Texas Instruments: Unknown device 8039
0000:0a:06.2 Mass storage controller: Texas Instruments: Unknown device 803b
0000:0a:06.3 0805: Texas Instruments: Unknown device 803c

The drive is a Seagate ST9120821A REV 3.06

There were lots of SATA patches in kernel 2.6.18, maybe a backport of these would help (if these were not backported already).

Thanks in Adv,
Christian

The timeout error happens only if I have the cd-dvd drive empty!!!
If there is a cd or a dvd in the drive all works fine!

Can someone confirm?

If my dvd is NOT empty there is no problem ... if it's empty I randomly get reports like
   - ata2 failed to respond ...
   - ata2: translated ATA stat/err ....
   - cdrom (ioctl) error ...

that freezes the system ...

This problem not exists with kernel 2.6.12, it appears with 2.6.15 and 2.6.17

KnuX (hidden-palace) wrote :
Download full text (3.4 KiB)

Same problem using an updated 2.6.20 kernel on an HP 500 notebook.

dmesg says :
[ 75.572000] [drm] Initialized drm 1.1.0 20060810
[ 75.620000] ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 19
[ 75.620000] [drm] Initialized i915 1.6.0 20060119 on minor 0
[ 88.184000] eth0: no IPv6 routers present
[ 687.500000] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 687.500000] ata1.01: cmd a0/00:00:00:00:20/00:00:00:00:00/b0 tag 0 cdb 0x0 data 0
[ 687.500000] res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
[ 694.500000] ata1: port is slow to respond, please be patient (Status 0xd0)
[ 717.516000] ata1: port failed to respond (30 secs, Status 0xd0)
[ 717.516000] ata1: soft resetting port
[ 717.868000] ata1.00: configured for UDMA/100
[ 718.048000] ata1.01: configured for MWDMA2
[ 718.048000] ata1: EH complete
[ 718.064000] SCSI device sda: 117210240 512-byte hdwr sectors (60012 MB)
[ 718.064000] sda: Write Protect is off
[ 718.064000] sda: Mode Sense: 00 3a 00 00
[ 718.064000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 718.064000] SCSI device sda: 117210240 512-byte hdwr sectors (60012 MB)
[ 718.064000] sda: Write Protect is off
[ 718.064000] sda: Mode Sense: 00 3a 00 00
[ 718.064000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 1673.024000] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 1673.024000] ata1.01: cmd a0/00:00:00:00:20/00:00:00:00:00/b0 tag 0 cdb 0x0 data 0
[ 1673.024000] res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
[ 1680.024000] ata1: port is slow to respond, please be patient (Status 0xd0)
[ 1703.040000] ata1: port failed to respond (30 secs, Status 0xd0)
[ 1703.040000] ata1: soft resetting port
[ 1703.392000] ata1.00: configured for UDMA/100
[ 1703.572000] ata1.01: configured for MWDMA2
[ 1703.572000] ata1: EH complete
[ 1703.588000] SCSI device sda: 117210240 512-byte hdwr sectors (60012 MB)
[ 1703.588000] sda: Write Protect is off
[ 1703.588000] sda: Mode Sense: 00 3a 00 00
[...]

$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE ...

Read more...

Changed in linux-source-2.6.17:
status: Unconfirmed → Confirmed

Same freezing problem here with my Acer TravelMate 2480 (Celeron M4xx, 512MB RAM and Intel GMA950).

Apr 14 15:13:48 richard-laptop kernel: [ 9282.980000] res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
Apr 14 15:13:48 richard-laptop kernel: [ 9289.980000] ata1: port is slow to respond, please be patient (Status 0xd0)
Apr 14 15:13:48 richard-laptop kernel: [ 9312.996000] ata1: soft resetting port
Apr 14 15:13:48 richard-laptop kernel: [ 9313.340000] ata1.00: ata_hpa_resize 1: sectors = 195371568, hpa_sectors = 195371568
Apr 14 15:13:48 richard-laptop kernel: [ 9313.348000] ata1.00: ata_hpa_resize 1: sectors = 195371568, hpa_sectors = 195371568
Apr 14 15:13:48 richard-laptop kernel: [ 9313.348000] ata1.00: configured for UDMA/100
Apr 14 15:13:48 richard-laptop kernel: [ 9313.528000] ata1.01: configured for UDMA/33
Apr 14 15:13:48 richard-laptop kernel: [ 9313.528000] ata1: EH complete
Apr 14 15:13:48 richard-laptop kernel: [ 9313.536000] SCSI device sda: 195371568 512-byte hdwr sectors (100030 MB)
Apr 14 15:13:48 richard-laptop kernel: [ 9313.536000] sda: Write Protect is off
Apr 14 15:13:48 richard-laptop kernel: [ 9313.536000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA

Valentin Lab (vaab) wrote :

same problem on feisty, linux-image-2.6.20-15. Computer is a Q35 from Samsung. Intel chipset, and Intel Core duo.

Valentin Lab (vaab) wrote :

is this related to : https://bugs.launchpad.net/ubuntu/+bug/104581 ?
some solution are given ...

hgg (helder) wrote : Me too post

Same problem here on Feisty:

$ cat /proc/version
Linux version 2.6.20-15-generic (root@palmer) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Sun Apr 15 07:36:31 UTC 2007

StiffMe (stiffme) wrote :

I have a similar problem. I am using Intel ICH7
kernel seems ramdonly freeze. When any process open a file or some ting, kernel output: ata1: port failed to respond (30secs, Status 0xd0)

after a while, it works again.

i tried to compile the 2.6.20 kernel source from kernel.org, the problem still remains

StiffMe (stiffme) wrote :

i found some new error output from kernel:
ata1.01:exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozon
ata1.01:cmd a0/01:00:00:00:00/00:00:00:00:00/b0 taq 0 cdb 0x43 data 12 in

Tellur (just18) wrote :

Same here with the fresh released Kubuntu 7.04 System freezes for 30 seconds and than continues working. Sorry for my bad English, Im form Germany

Tellur (just18) wrote :

Here my SystemLog

20.04.2007 16:16:57 alex-notebook kernel [ 2012.180000] ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag 0 cdb 0x43 data 12 in

20.04.2007 16:16:57 alex-notebook kernel [ 2012.180000] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen

20.04.2007 16:16:57 alex-notebook kernel [ 2012.180000] res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)

20.04.2007 16:17:04 alex-notebook kernel [ 2019.180000] ata1: port is slow to respond, please be patient (Status 0xd0)

20.04.2007 16:17:27 alex-notebook kernel [ 2042.196000] ata1: port failed to respond (30 secs, Status 0xd0)

20.04.2007 16:17:27 alex-notebook kernel [ 2042.196000] ata1: soft resetting port

20.04.2007 16:17:27 alex-notebook kernel [ 2042.548000] ata1.00: ata_hpa_resize 1: sectors = 234441648, hpa_sectors = 234441648

20.04.2007 16:17:27 alex-notebook kernel [ 2042.564000] ata1.00: ata_hpa_resize 1: sectors = 234441648, hpa_sectors = 234441648

20.04.2007 16:17:27 alex-notebook kernel [ 2042.564000] ata1.00: configured for UDMA/100

20.04.2007 16:17:28 alex-notebook kernel [ 2043.280000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA

9johnny (s.j.) wrote :

I'm pretty sure this is not a hardware driver issue, as I am experiencing the same with an nvidia nforce chipset equipped HP pavillion dv6120eu. Hope this is help!

Kariloy Markief (kariloy) wrote :

Hello everyone!

I also have this problem, and sorry for reporting it as #109444 because when I first reported I hadn't check the logs (stupid me) first. Anyway I've already marked it as a duplicate of this one (let's hope this is the first instance of reporting this problem)

Anyhow I'm using Feisty Fawn with kernel:

2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

the kernel.log shows this whenever one of those locks/stalls/lags occurs:

Apr 27 00:55:11 bolos kernel: [463720.004000] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
Apr 27 00:55:11 bolos kernel: [463720.004000] ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag 0 cdb 0x25 data 8 in
Apr 27 00:55:11 bolos kernel: [463720.004000] res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
Apr 27 00:55:11 bolos kernel: [463727.008000] ata1: port is slow to respond, please be patient (Status 0xd0)
Apr 27 00:55:11 bolos kernel: [463750.024000] ata1: port failed to respond (30 secs, Status 0xd0)
Apr 27 00:55:11 bolos kernel: [463750.024000] ata1: soft resetting port
Apr 27 00:55:11 bolos kernel: [463750.432000] ata1.00: ata_hpa_resize 1: sectors = 195371568, hpa_sectors = 195371568
Apr 27 00:55:11 bolos kernel: [463750.440000] ata1.00: ata_hpa_resize 1: sectors = 195371568, hpa_sectors = 195371568
Apr 27 00:55:11 bolos kernel: [463750.440000] ata1.00: configured for UDMA/100
Apr 27 00:55:11 bolos kernel: [463750.624000] ata1.01: configured for UDMA/25
Apr 27 00:55:11 bolos kernel: [463750.624000] ata1: EH complete
Apr 27 00:55:11 bolos kernel: [463750.640000] SCSI device sda: 195371568 512-byte hdwr sectors (100030 MB)
Apr 27 00:55:11 bolos kernel: [463750.656000] sda: Write Protect is off
Apr 27 00:55:11 bolos kernel: [463750.656000] sda: Mode Sense: 00 3a 00 00
Apr 27 00:55:11 bolos kernel: [463750.668000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Apr 27 00:55:11 bolos kernel: [463750.920000] SCSI device sda: 195371568 512-byte hdwr sectors (100030 MB)
Apr 27 00:55:11 bolos kernel: [463750.920000] sda: Write Protect is off
Apr 27 00:55:11 bolos kernel: [463750.920000] sda: Mode Sense: 00 3a 00 00
Apr 27 00:55:11 bolos kernel: [463750.920000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA

I've just tried the "just keep some disk inside your dvd drive" solution and although it's early to be sure (seeing that the locks are random) today I had already had a full lot of locks in a row and since putting a dvd inside the drive I haven't had any of such locks. If proved effective although seemingly silly it's an easy fix, while the developers work on a more permanent fix.

I'll post later how the easy "media on drive" solution is working out.

~KM

Download full text (3.8 KiB)

Hi people,

I'm running Feisty, too.
I hope this email will not create any false hopes as I did with my
earlier questionable contribution to this bug, but I had not a single
ata timeout since

$ uptime
 23:47:22 up 1 day, 3:54, 2 users, load average: 1.50, 1.22, 0.72

as the following command shows
$ dmesg | grep ata
[ 6.012000] libata version 2.20 loaded.
[ 6.440000] ata_piix 0000:00:1f.2: version 2.10ac1
[ 6.440000] ata_piix 0000:00:1f.2: MAP [ IDE IDE P1 P3 ]
[ 6.444000] ata1: PATA max UDMA/100 cmd 0x000101f0 ctl 0x000103f6
bmdma 0x000118b0 irq 14
[ 6.444000] ata2: SATA max UDMA/133 cmd 0x00010170 ctl 0x00010376
bmdma 0x000118b8 irq 15
[ 6.444000] scsi0 : ata_piix
[ 6.772000] ata1.00: ata_hpa_resize 1: sectors = 234441648,
hpa_sectors = 234441648
[ 6.772000] ata1.00: ATA-6: ST9120821A, 3.06, max UDMA/100
[ 6.772000] ata1.00: 234441648 sectors, multi 16: LBA48
[ 6.772000] ata1.01: ATAPI, max UDMA/33
[ 6.780000] ata1.00: ata_hpa_resize 1: sectors = 234441648,
hpa_sectors = 234441648
[ 6.780000] ata1.00: configured for UDMA/100
[ 6.944000] ata1.01: configured for UDMA/33
[ 6.944000] scsi1 : ata_piix
[ 7.980000] EXT3-fs: mounted filesystem with ordered data mode.

Recently I started using my notebook (Acer Aspire 9412WSMI) more
intensely and I had a freeze around every 40min until I
came across the following page:
http://www.caiacoa.de/wiki/index.php/Samsung_R40-T2050_Chasubi#DVD-Brenner

It's in german an the relevant part basically translates to:
 The integrated DVD-Burner TSSTcorp CD/DVDW TS-L632D caused
 serious problems including firmware version SC02 which led
 to spontaneous system freezes. A patched libata version helped
 but was a kludge.
 The firmware version SC03 (8th of February 2007) obviously fixed
 these problems. It is recommended to use at least this version
 if you want to omit problems with this burner under Linux. The
 firmware and the associated burn program can be downloaded
 from the Korean Samsung ODD website.

Sadly my notebook manufacturer is Acer and not Samsung, so I was looking
if I could flash the Samsung firmware. The only hints I found were some
forum articles saying that the hardware was identical regardless of the
OEM manufacturer.

As I was pretty setup with the freezes I chose to crossflash the Samsung
SC03 firmware onto my Acer drive.
I used the Samsung SC03 firmware and flash program from
http://www.toshibaer.com/firmware/index.php?path=TS-L632D/
The flash program can be found in the Acer AC01 firmware zip file.

In order to be able to flash Samsung firmware onto an Acer drive you
have to invoke sfdnwin.exe from the commandline with the -noverify
switch.
Crossflashing the firmware has some implications:
 - the burning software provided by your vendor will stop working
 - the warranty of the DVD burner voids
 - you risk your drive, because cross-vendor flashing is
   unsupported

After flashing from Acer AC01 firmware to Samsung SC03 firmware I
watched a DVD movie, burned and read a Data-DVD with K3B and installed a
game under Windows XP from DVD, so everything seems to work as it used
to (I didn't try to burn a DVD under Windows XP).

I'd suggest to conta...

Read more...

Hello,

We want to report that having a music CD in the tray with music playing stops the frequent freeze. One of our customers says:

marco lavanna: allright, it was jsut that the machine needed some boogey woogey it seems
 … the linux blues....
marco lavanna: you can post it on the boards, all you need to fix the prob is to 'get down'

So play a CD and relax. We are waiting for the next version of HAL to get released into Ubuntu, as that will enable one to turn off the check tray if empty routine.

We will attempt the firmware upgrade suggested above and post back later.

Cheers,

Rayservers.

http://gold.rayservers.com/

Tomas Šiaulys (tosi) wrote :

Hello,
Thanks a lot Christian - flashing the drive helped me too. I had lots of problems with my laptop freezing. Looks like the firmware crossflash fixes bug #84603 too. Moreover, this bug seems like #84603 duplicate. My laptop is Asus Z35F.

Regards,
Tomas

I'm sorry but i didn't understood how i could flash the drive.
You said "with the -noverify swith" and tried much option like :"sfdnwin.exe /noverify", etc...
but the program still refuse my firmware what are the exact steps to flash the drive?
Thanks you for replying me

Francois

the switch is "-nocheck"...

I've tried, everything lokks to still work...

I hope to have solved the problem...

I will let you know...

bye

Tomas Šiaulys (tosi) wrote :

I used sfdndos - you can find download link and instructions here http://forum.rpc1.org/viewtopic.php?p=37412#37412
Hope that helps.

Regards,
Tomas

Jon Griggs (jrgriggs) wrote :

Just want to confirm Christian's workaround is in fact working. Flashing the DVD drive BIOS seems to have taken care of my constant hangs. I'm running Feisty on an Asus Z35F.

chantra (chantra) wrote :

No that I sorted out this cross flashing thing , at least the firmware was applied, need some more time before being able to confirm though

I have the same problem, and the TS-L632D dvd drive in my laptop (ASUS Z35FM). Seems like you all had good results with updating the firmware. I would like to do this also, but the problem is all the methods explained for updating the dvd drive's firmware require windows and I don't have windows, and I don't want to install windows just so I can flash the drive firmware.
Is there another way of updating the firmware, or fixing the problem some other way?

Tomas Šiaulys (tosi) wrote :

There is a way of upgrading the firmware without windows. It is explained in comments of bug #84603 . Good luck!

Tomas Siaulys wrote:
> There is a way of upgrading the firmware without windows. It is
> explained in comments of bug #84603 . Good luck!
>
>
What about the TS-L632D drive on an HP notebook with no firmware upgrade
? :(

Lukáš Zapletal (lzap) wrote :

Same message but my comp gets rebooted :-(

https://bugs.launchpad.net/ubuntu/+bug/115647

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Low
jan meskens (jan-meskens) wrote :
Download full text (4.2 KiB)

I have the same problem with ubuntu feisty (the previous ubuntu version suffers also from this problem) on an Acer Aspire 9410.
Dmesg says:
[26622.024000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[26622.024000] SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
[26622.024000] sda: Write Protect is off
[26622.024000] sda: Mode Sense: 00 3a 00 00
[26622.024000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[26855.108000] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[26855.108000] ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag 0 cdb 0x25 data 8 in
[26855.108000] res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
[26862.108000] ata1: port is slow to respond, please be patient (Status 0xd0)
[26885.124000] ata1: port failed to respond (30 secs, Status 0xd0)
[26885.124000] ata1: soft resetting port
[26885.820000] ata1.00: ata_hpa_resize 1: sectors = 234441648, hpa_sectors = 234441648
[26885.828000] ata1.00: ata_hpa_resize 1: sectors = 234441648, hpa_sectors = 234441648
[26885.828000] ata1.00: configured for UDMA/100
[26886.016000] ata1.01: configured for UDMA/25
[26886.016000] ata1: EH complete
[26886.032000] SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
[26886.048000] sda: Write Protect is off
[26886.048000] sda: Mode Sense: 00 3a 00 00
[26886.064000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[26886.096000] SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
[26886.112000] sda: Write Protect is off
[26886.112000] sda: Mode Sense: 00 3a 00 00
[26886.144000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[27268.136000] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[27268.136000] ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag 0 cdb 0x25 data 8 in
[27268.136000] res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
[27275.136000] ata1: port is slow to respond, please be patient (Status 0xd0)
[27298.152000] ata1: port failed to respond (30 secs, Status 0xd0)
[27298.152000] ata1: soft resetting port
[27298.848000] ata1.00: ata_hpa_resize 1: sectors = 234441648, hpa_sectors = 234441648
[27298.856000] ata1.00: ata_hpa_resize 1: sectors = 234441648, hpa_sectors = 234441648
[27298.856000] ata1.00: configured for UDMA/100
[27299.044000] ata1.01: configured for UDMA/25
[27299.044000] ata1: EH complete
[27299.060000] SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
[27299.076000] sda: Write Protect is off
[27299.076000] sda: Mode Sense: 00 3a 00 00
[27299.100000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[27299.132000] SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
[27299.148000] sda: Write Protect is off
[27299.148000] sda: Mode Sense: 00 3a 00 00
[27299.172000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[27439.180000] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[27439.180000] ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag 0 cdb 0x25 d...

Read more...

Adam (adam.russell) wrote :
Download full text (3.9 KiB)

Kubuntu Feisty Fawn
kernel 2.6.20-16-generic

I believe the problem is occuring with my SATA hard drive, which is a Samsung SP0812C. It stops responding quite often. It seems that most people that are having this problem are fixing it with 'piix', but I have a VIA chipset rather than an Intel one. I will attach some logs below. Relevant dmesg lines:

[ 2416.505383] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 2416.505394] ata1.00: cmd c8/00:90:e6:54:5b/00:00:00:00:00/e2 tag 0 cdb 0x0 data 73728 in
[ 2416.505396] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 2416.505414] ata1: soft resetting port
[ 2416.671775] ATA: abnormal status 0x7F on port 0x0001e007
[ 2416.682280] ATA: abnormal status 0x7F on port 0x0001e007
[ 2416.693332] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2416.705299] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2416.705303] ata1.00: configured for UDMA/100
[ 2416.705314] ata1: EH complete
[ 2416.727567] SCSI device sda: 156368016 512-byte hdwr sectors (80060 MB)
[ 2416.727651] sda: Write Protect is off
[ 2416.727653] sda: Mode Sense: 00 3a 00 00
[ 2416.741889] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 2446.704938] ata1.00: limiting speed to UDMA/33:PIO4
[ 2446.704945] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 2446.704953] ata1.00: cmd c8/00:88:e6:7d:5d/00:00:00:00:00/e1 tag 0 cdb 0x0 data 69632 in
[ 2446.704955] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 2453.697731] ata1: port is slow to respond, please be patient (Status 0xd0)
[ 2476.684824] ata1: port failed to respond (30 secs, Status 0xd0)
[ 2476.684831] ata1: soft resetting port
[ 2476.855210] ATA: abnormal status 0x7F on port 0x0001e007
[ 2476.865714] ATA: abnormal status 0x7F on port 0x0001e007
[ 2476.876786] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2476.888756] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2476.888760] ata1.00: configured for UDMA/33
[ 2476.888771] ata1: EH complete
[ 2476.909818] SCSI device sda: 156368016 512-byte hdwr sectors (80060 MB)
[ 2476.912474] sda: Write Protect is off
[ 2476.912478] sda: Mode Sense: 00 3a 00 00
[ 2476.916458] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 2507.060115] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 2507.060126] ata1.00: cmd c8/00:20:b6:2d:04/00:00:00:00:00/e2 tag 0 cdb 0x0 data 16384 in
[ 2507.060128] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 2514.052911] ata1: port is slow to respond, please be patient (Status 0xd0)
[ 2537.032018] ata1: port failed to respond (30 secs, Status 0xd0)
[ 2537.032025] ata1: soft resetting port
[ 2537.198411] ATA: abnormal status 0x7F on port 0x0001e007
[ 2537.208918] ATA: abnormal status 0x7F on port 0x0001e007
[ 2537.215986] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2537.223961] ata1.00: ata_hpa_resize 1: sectors = 156368016, hpa_sectors = 156368016
[ 2537.223964] ata1.00: configured for U...

Read more...

Adam (adam.russell) wrote :
Adam (adam.russell) wrote :
Adam (adam.russell) wrote :
Adam (adam.russell) wrote :
Adam (adam.russell) wrote :
StiffMe (stiffme) wrote :

what kind of DVD/CD optical drive do you use?
I use TssT L623D. it seems that this is a DVD drive firmware bug, not linux
kernel bug.
i fix this problem by using new firmware instead of the elder buggy one.

2007/11/5, NT4usB <email address hidden>:
>
> ** Also affects: linux-source-2.6.20 (Baltix)
> Importance: Undecided
> Status: New
>
> --
> log says "ata1 is slow to respond, please be patient"
> https://bugs.launchpad.net/bugs/64587
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
剑桥工人

Oh man yeeeaaahhh... I fix this glitch by updatin' my drive firmware. Over all, it was an exhilarating experience, right from the moment when I put the CD into the drive, up to the moment I ejected the disk and rebooted the system.

The following information regarding libata may be of help with this bug:
http://linux-ata.org/faq.html#combined

It will be relevant to you if you have a SATA device, an IDE device and an Intel chipset.

Adam (adam.russell) wrote :

I am unable to contribute any further to this bug, as I am no longer using the hardware in question. I will be unsubscribing.

The rest of you should test this against the 2.6.27 kernel, which is present in Intrepid Ibex ( http://www.ubuntu.com/testing ).

Changed in linux-source-2.6.20:
status: New → Incomplete
status: Incomplete → New

As Adam mentioned, can someone confirm this is still an issue with the most recent Intrepid Ibex 8.10 release that came out last month. The 18 month support period for Feisty Fawn 7.04 has reached it's end of life - http://www.ubuntu.com/news/ubuntu-7.04-end-of-life . As a result we are closing the linux-source-2.6.20 task. Thanks.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Changed in linux:
status: New → Incomplete
jeanseb (jeanseb-valette) wrote :

dmesg for boot with last intrepid kernel (2.6.27-8-generic).

jeanseb (jeanseb-valette) wrote :

Log for new kernel package in intrepid.

Very very slow to boot, kernel ata error message stil present after boot.

Alway this one :

[ 573.304568] ata1.00: status: { DRDY }
[ 573.304599] ata1: soft resetting link
[ 573.484849] ata1.00: configured for PIO0
[ 573.500886] ata1.01: configured for PIO0
[ 573.500909] ata1: EH complete
[ 579.000555] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[ 579.000571] ata1.00: cmd a0/00:00:00:24:00/00:00:00:00:00/a0 tag 0 pio 36 in
[ 579.000573] cdb 12 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00
[ 579.000575] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
Christopher Berner (cberner) wrote :

I just started experiencing this bug after I upgraded from Hardy to Intrepid. Let me know if there is any information I can provide.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

jeanseb (jeanseb-valette) wrote :

hello
still not working in jaunty.

michael brenden (mike-brenden) wrote :
Download full text (5.6 KiB)

Today is 2009-06-02

We're running a stock / latest-updated Ubuntu 8.04.2 (kernel 2.6.24-19-generic #1 SMP) on Intel Quad XEON (Intel motherboard S3210 SHLC) and still getting litany of frozen SATA subsystem that temporarily freezes entire system. Not Good, since we're running root on software RAID1 on the SATA drives.

Have read several threads, realize a newer kernel is probably The Right Answer. Wish Ubuntu LTS version kept up. Hoping their next LTS release contains fix.

Noticed SATA freeze problem under these conditions:

-- with blank DVD in TSSTCorp DVD/CD drive

-- with running: hald-addon-storage: polling /dev/scd0 (every 16 sec)

-- with running: hald-addon-acpi: listening on acpid socket /var/run/acpid.socket

-- with freeswitch running for testing (with almost no workload)

-- with samba running -- heaviest use of the server was via samba file access, and lockups were first noticed due to random lockups, of between 10 seconds and 30 seconds duration...minor file corruption noticed only after several months.

-- lockups happen sporadically, system always recovers, except for slight data corruption.

-- never noticed the TSSTCorp CD/DVD was ever polled...lspci shows something thinks it's "open" (the tray, possibly? --giving, since tray not open, a real sense of skittishness.)

Will try removing the TSSTCorp DVD/CD drive; it's a $30 piece of crap anyway, so no big loss. Realize this is not 'a real fix' but a bandaid, if it helps at all...

Will try CD vs. no CD.

Will try killing hald-addon-acpi, and hald-add-storage processes.

Here's the most recent dmesg from right after boot:

[ 96.570503] eth1: no IPv6 routers present
[ 98.226956] eth0: no IPv6 routers present
[ 99.151740] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[ 714.484933] kjournald starting. Commit interval 5 seconds
[ 714.492510] EXT3 FS on sdg1, internal journal
[ 714.492516] EXT3-fs: mounted filesystem with ordered data mode.
[ 838.632752] kjournald starting. Commit interval 5 seconds
[ 838.636139] EXT3 FS on sdh1, internal journal
[ 838.636145] EXT3-fs: mounted filesystem with ordered data mode.
[ 3714.646545] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 3714.646630] ata2.00: cmd ea/00:00:00:00:00/00:00:00:00:00/a0 tag 0
[ 3714.646631] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 3714.646682] ata2.00: status: { DRDY }
[ 3719.678830] ata2: port is slow to respond, please be patient (Status 0xd0)
[ 3724.655214] ata2: device not ready (errno=-16), forcing hardreset
[ 3724.655217] ata2: soft resetting link
[ 3724.883037] ata2.00: configured for UDMA/133
[ 3724.942348] ata2.01: configured for UDMA/133
[ 3724.942357] ata2: EH complete
[ 3724.942754] sd 1:0:0:0: [sdc] 2930277168 512-byte hardware sectors (1500302 MB)
[ 3724.949882] sd 1:0:0:0: [sdc] Write Protect is off
[ 3724.949885] sd 1:0:0:0: [sdc] Mode Sense: 00 3a 00 00
[ 3724.977142] sd 1:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 3724.980147] sd 1:0:1:0: [sdd] 1953525168 512-byte hardware sectors (1000205 MB)
[ 3724.980533] sd 1:0:1:0: [sdd] Write Protect is off
[ 3724.980536] sd 1:0:1:0: [sd...

Read more...

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Wolm (torben-wolm) wrote :

Amazing. This problem is reported several times for several years. It doesn't seem to get fixed? (Same bug at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/297058)

Changed in linux (Ubuntu):
status: Incomplete → New
Johannes (josch-majobe) wrote :

I got this problem with the last reinstall of 10.04 on a different HDD upgrading from an older disk and Ubuntun version.
Using a dated HP Pavilion zt3312EA. Will check if the workaround with the dvd loaded works for me.
Please let me know which information I could provide (and how).

Andy Whitcroft (apw) on 2011-02-22
Changed in linux (Ubuntu):
status: New → Triaged
tags: added: kernel-key
Herton R. Krzesinski (herton) wrote :

What looks the core issue here is the firmware bug of TSSTcorp drives (there are too many mixed reports). Some time ago a quirk for the kernel was added for these drives (ATA_HORKAGE_IVB) too, so the kernel workarounds the problem also on old firmware.

Does still anyone see this problem on newer kernels? If yes, then please post the output here of the kernel/ubuntu version used (if not yet posted above), and the output of:
sudo hdparm -i /dev/sr0

Replace /dev/sr0 if needed (in case is other drive giving the problem).

Also please attach full dmesg with the error.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
tags: removed: kernel-key
tags: removed: kj-triage
Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers